package com.realnet.basic1.Services;
import com.realnet.basic1.Repository.TestdefaultRepository;
import com.realnet.basic1.Entity.Testdefault
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class TestdefaultService {
@Autowired
private TestdefaultRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Testdefault Savedata(Testdefault data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testdefault save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testdefault> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Testdefault> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testdefault> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testdefault getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testdefault update(Testdefault data,Integer id) {
	Testdefault old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setActive (data.getActive());

final Testdefault test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
